umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
comments_class_operators_test Class Reference

`#include <comments-class-operators.h>`

## Public Member Functions
int | operator* (int i)
int | operator/ (int i)
int | operator% (int i)
int | operator| (int i)
int | operator&& (int i)
int | operator|| (int i)
| operator || c++ doxygen style single line comment
int | operator+ (int i)
int | operator- (int i)

## Member Function Documentation

## ◆ operator%()

int comments_class_operators_test::operator% | ( | int | i | ) |

## ◆ operator&&()

int comments_class_operators_test::operator&& | ( | int | i | ) |

## ◆ operator*()

int comments_class_operators_test::operator* | ( | int | i | ) |

## ◆ operator+()

int comments_class_operators_test::operator+ | ( | int | i | ) |

## ◆ operator-()

int comments_class_operators_test::operator- | ( | int | i | ) |

operator - description line 1 out of 2 (c++ doxygen style) operator - description line 2 out of 2 (c++ doxygen style)

## ◆ operator/()

int comments_class_operators_test::operator/ | ( | int | i | ) |

operator / c doxygen style single line comment

## ◆ operator|()

int comments_class_operators_test::operator| | ( | int | i | ) |

operator | comment c doxygen style multiline comment

## ◆ operator||()

int comments_class_operators_test::operator|| | ( | int | i | ) |

operator || c++ doxygen style single line comment

The documentation for this class was generated from the following file:

- test/import/cxx/comments-class-operators.h